Subject: Re: intel 82571EB gigabit fails to see link on 2.6.20-rc5 in-tree e1000 driver (regression)

From: Auke Kok <[email-masked]>
Date: Fri, 19 Jan 2007 16:38:41 -0800

Adam Kropelin wrote:
> Auke Kok wrote:
>> Adam Kropelin wrote:
>>> I haven't been able to test rc5-mm yet because it won't boot on this
>>> box. Applying git-e1000 directly to -rc4 or -rc5 results in a number
>>> of rejects that I'm not sure how to fix. Some are obvious, but the
>>> others I'm unsure of.
>>
>> that won't work. You either need to start with 2.6.20-rc5 (and pull
>> the changes pending merge in netdev-2.6 from Jeff Garzik),
> 
> I thought that's what I was doing when I applied git-e1000 to 
> 2.6.20-rc5, but I guess not.
> 
>> or start
>> with 2.6.20-rc4-mm1 and manually apply that patch I sent out on
>> monday. A different combination of either of these two will not work,
>> as they are completely different drivers.
> 
> I'll try to work something out.
> 
>> can you include `ethtool ethX` output of the link down message and
>> `ethtool -d ethX` as well? I'll need to dig up an 82572 and see
>> what's up with that, I've not seen that problem before.
> 
> ethtool output attached.

that clearly shows that the PHY detected link up status and that all is well as far as 
the driver and NIC is concerned. This bug really needs to be moved to linux-pci where 
the folks who know interrupt handling best can handle it.

Auke